Subject: bug#64139: 28.2; Scrolling problems in miniwindow

From: Al Petrofsky <[email-masked]>
Date: Sat, 17 Jun 2023 20:26:19 -0400

I'm seeing some weird scrolling bugs in the miniwindow when the
minibuffer contains more lines than the window.  I think these
problems exist on ttys and graphical terminals of all sizes, but for
ease of reproducibility use an 80x24 tty.

   emacs-28.2 -Q -nw
   M-: C-@ C-x ( C-x C-k TAB C-q C-j C-u 9 9 C-x e C-x C-x C-v

The C-v, instead of scrolling a few lines, scrolls all the way down to
line 97.

Also, if you now repeatedly M-v, the buffer will just scroll up and
down three lines.  When I use a large X frame, repeated M-v will
scroll up to the top of the buffer, but then glitch and cycle around
back to the bottom.